package fr.orsys.tp3.service.impl;

import java.util.List;

import fr.orsys.tp3.dao.IEmployeDao;
import fr.orsys.tp3.domain.Employe;
import fr.orsys.tp3.service.IEmployeService;

public class EmployeService implements IEmployeService {

	private IEmployeDao employeDao;

	@Override
	public Employe getEmployeById(int id) {
		return employeDao.getEmployeById(id);
	}

	@Override
	public Employe getEmployeByLogin(String login) {
		return employeDao.getEmployeByLogin(login);
	}

	@Override
	public void saveEmploye(Employe employe) {
		employeDao.saveEmploye(employe);
	}

	@Override
	public List<Employe> getAllEmployes() {
		return employeDao.getAllEmployes();
	}

	@Override
	public int getEmployesCount() {
		return employeDao.getEmployesCount();
	}

	public void setEmployeDao(IEmployeDao employeDao) {
		this.employeDao = employeDao;
	}

}
